"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _tables = require("./tables");

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const processProvider = plugin => {
  plugin.verbose('Processing provider resources');

  if (plugin.service.provider.websocketApiRouteSelectionExpression) {
    throw new Error('websocketApiRouteSelectionExpression already assigned');
  } // eslint-disable-next-line no-param-reassign


  plugin.service.provider.websocketApiRouteSelectionExpression = '\\$default';
  const pluginTableNames = (0, _tables.createPluginTableNames)(plugin);
  const {
    schemaPath
  } = plugin.getOptions();
  const envVars = {
    // TODO: Add debug logging
    GRAPH_QL_SCHEMA_PATH: schemaPath,
    GRAPH_QL_SUBSCRIPTIONS_TABLE: pluginTableNames.SUBSCRIPTIONS,
    GRAPH_QL_CONNECTIONS_TABLE: pluginTableNames.CONNECTIONS,
    GRAPH_QL_EVENTS_TABLE: pluginTableNames.EVENTS,
    GRAPH_QL_SUBSCRIPTION_OPS_TABLE: pluginTableNames.SUBSCRIPTION_OPS
  }; // eslint-disable-next-line no-param-reassign

  plugin.service.provider.environment = _objectSpread({}, plugin.service.provider.environment, envVars);
};

var _default = processProvider;
exports.default = _default;